﻿using C1.WPF.Grid;
using System.Data.Common;
using System.Diagnostics;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MultiselectDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            SetupFlexGrid();
        }

        private void SetupFlexGrid()
        {
            // Define Columns
            flexGrid.Columns.Clear();
            flexGrid.Columns.Add(new GridColumn { Header = "Select", ColumnName="Select", Width = new GridLength(50) });
            flexGrid.Columns.Add(new GridColumn { Header = "ItemName", ColumnName="ItemName", Width = new GridLength(200) });
            // Add Rows Manually (Unbound Mode)
            for (int i = 0; i < 5; i++)
            {
                var row = new GridRow();
                flexGrid.Rows.Add(row);

                // Set initial checkbox state (unchecked)
                flexGrid[row.Index, 0] = false;

                // Set item name
                flexGrid[row.Index, 1] = $"Item {i + 1}";
            }

            // Assign Custom CellFactory to Render CheckBox
            flexGrid.CellFactory = new CheckBoxCellFactory(flexGrid);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // You can initialize these variables based on your requirement
            int row = 2; 
            int col = 0;
            bool isChecked = true;

            // code to check/uncheck the cell's checkbox via code
            GridControlCellView cellView = flexGrid.GetCellView(new GridControlRange(row, col));
            if (cellView.Content is CheckBox chk) 
            {
                chk.IsChecked = isChecked;
            }
        }
    }
}